export interface ValidState {
  isValid: boolean;
  message: string;
}

export type FormValidatorFn = (
  field: string,
  value: unknown,
  formData: Record<string, unknown>
) => ValidState | Promise<ValidState>;

export interface FormValidator {
  field: string;
  validators: FormValidatorFn[];
}
