export enum ItemType {
  ITEM = 'ITEM',
  OBJECT = 'OBJECT',
  TECHNOLOGY = 'TECHNOLOGY',
  TOOL = 'TOOL',
  FOOD = 'FOOD',
  MEDICINE = 'MEDICINE',
  ART = 'ART',
  CRAFT = 'CRAFT',
  COMPOSITION = 'COMPOSITION',
  CLOTHING = 'CLOTHING',
  SERVICE = 'SERVICE',
  OTHER = 'OTHER',
}

export const ItemTypeName: Record<ItemType, string> = {
  [ItemType.ITEM]: 'Generic item',
  [ItemType.OBJECT]: 'Generic object',
  [ItemType.TECHNOLOGY]: 'Technology',
  [ItemType.TOOL]: 'Tool',
  [ItemType.FOOD]: 'Food',
  [ItemType.MEDICINE]: 'Medicine',
  [ItemType.ART]: 'Arts',
  [ItemType.CRAFT]: 'Crafts',
  [ItemType.COMPOSITION]: 'Composition/Creation',
  [ItemType.CLOTHING]: 'Clothing',
  [ItemType.SERVICE]: '(Virtual) Service',
  [ItemType.OTHER]: 'Other',
};

export const ItemTypeDescription: Record<ItemType, string> = {
  [ItemType.ITEM]: 'An item, the classification is up to you',
  [ItemType.OBJECT]: 'An object, the classification is up to you',
  [ItemType.TECHNOLOGY]:
    'Such as computer hardware, electronic components, etc',
  [ItemType.TOOL]: 'Tools of any kind',
  [ItemType.FOOD]: 'Edible, drinkable or otherwise consumable',
  [ItemType.MEDICINE]: 'Medicine',
  [ItemType.ART]: 'Artworks, prints',
  [ItemType.CRAFT]: 'Crafted items',
  [ItemType.COMPOSITION]: 'A combination of items that created a new item',
  [ItemType.CLOTHING]: 'Clothing, wearables',
  [ItemType.SERVICE]: 'Online service, computer software, etc',
  [ItemType.OTHER]: 'Other',
};
