export enum TransactionType {
  ACQUIRED = 'ACQUIRED',
  SOLD = 'SOLD',
  DESTROYED = 'DESTROYED',
  BINNED = 'BINNED',
  MOVED = 'MOVED',
  TRANSFERRED = 'TRANSFERRED',
}

export const TransactionTypeName: Record<TransactionType, string> = {
  [TransactionType.ACQUIRED]: 'Acquired / Purchased',
  [TransactionType.SOLD]: 'Sold',
  [TransactionType.DESTROYED]: 'Destroyed (got rid of)',
  [TransactionType.BINNED]: 'Binned (threw away)',
  [TransactionType.MOVED]: 'Moved',
  [TransactionType.TRANSFERRED]: 'Transferred',
};

export const TransactionTypeDescription: Record<TransactionType, string> = {
  [TransactionType.ACQUIRED]:
    'Items were received into your possession by any means',
  [TransactionType.SOLD]:
    'Item was sold, optionally mark proceeds with negative price',
  [TransactionType.DESTROYED]:
    'Burned, broken beyond recognition, unusable etc',
  [TransactionType.BINNED]: 'Thrown away for recycle or otherwise',
  [TransactionType.MOVED]: 'Moved to another place / storage',
  [TransactionType.TRANSFERRED]: 'Transferred to another person / location',
};
